//REMOVING
ServerEvents.tags('item', event => {
        event.removeAll('minecraft:beacon_payment_items')

        event.remove('forge:fruits/berries', 'minecraft:glow_berries')
        event.remove('forge:fruits/berries', 'minecraft:sweet_berries')
    }
)

ServerEvents.tags('block', event => {
    event.removeAll('minecraft:beacon_base_blocks')
}
)



ServerEvents.tags('fluid', event => {
    event.remove('forge:plantoil', 'createaddition:seed_oil')
    event.remove('forge:plantoil', 'createaddition:flowing_seed_oil')
}
)






//ADDING
ServerEvents.tags('item', event => {

        //Forge


        event.add('forge:concrete', 'immersiveengineering:concrete')



        //Minecraft



        


        //TFC


            
        event.add('minecraft:beacon_payment_items', 'tfc:gem/diamond')
        event.add('minecraft:beacon_payment_items', 'tfc:gem/emerald')



            //Copper Ore Chunks
            event.add('tfc:copper_chunks', 'tfcorewashing:rocky_chunks_copper')
            event.add('tfc:copper_chunks', 'tfcorewashing:rocky_chunks_malachite')
            event.add('tfc:copper_chunks', 'tfcorewashing:rocky_chunks_tetrahedrite')


            //Copper Dirty Dust
            event.add('tfc:copper_dirty_dust', 'tfcorewashing:dirty_dust_copper')
            event.add('tfc:copper_dirty_dust', 'tfcorewashing:dirty_dust_malachite')
            event.add('tfc:copper_dirty_dust', 'tfcorewashing:dirty_dust_tetrahedrite')


            //Copper Powder
            event.add('tfc:copper_powder', 'tfc:powder/native_copper')
            event.add('tfc:copper_powder', 'tfc:powder/malachite')
            event.add('tfc:copper_powder', 'tfc:powder/tetrahedrite')




            //Stone Tool Axe
            event.add('tfc:stone_axe_head', 'tfc:stone/axe_head/igneous_extrusive')
            event.add('tfc:stone_axe_head', 'tfc:stone/axe_head/igneous_intrusive')
            event.add('tfc:stone_axe_head', 'tfc:stone/axe_head/metamorphic')
            event.add('tfc:stone_axe_head', 'tfc:stone/axe_head/sedimentary')


            //Stone Tool Shovel
            event.add('tfc:stone_shovel_head', 'tfc:stone/shovel_head/igneous_extrusive')
            event.add('tfc:stone_shovel_head', 'tfc:stone/shovel_head/igneous_intrusive')
            event.add('tfc:stone_shovel_head', 'tfc:stone/shovel_head/metamorphic')
            event.add('tfc:stone_shovel_head', 'tfc:stone/shovel_head/sedimentary')

            
            //Stone Tool Knife
            event.add('tfc:stone_knife_head', 'tfc:stone/knife_head/igneous_extrusive')
            event.add('tfc:stone_knife_head', 'tfc:stone/knife_head/igneous_intrusive')
            event.add('tfc:stone_knife_head', 'tfc:stone/knife_head/metamorphic')
            event.add('tfc:stone_knife_head', 'tfc:stone/knife_head/sedimentary')

            
            //Stone Tool Hoe
            event.add('tfc:stone_hoe_head', 'tfc:stone/hoe_head/igneous_extrusive')
            event.add('tfc:stone_hoe_head', 'tfc:stone/hoe_head/igneous_intrusive')
            event.add('tfc:stone_hoe_head', 'tfc:stone/hoe_head/metamorphic')
            event.add('tfc:stone_hoe_head', 'tfc:stone/hoe_head/sedimentary')

            
            //Stone Tool Hammer
            event.add('tfc:stone_hammer_head', 'tfc:stone/hammer_head/igneous_extrusive')
            event.add('tfc:stone_hammer_head', 'tfc:stone/hammer_head/igneous_intrusive')
            event.add('tfc:stone_hammer_head', 'tfc:stone/hammer_head/metamorphic')
            event.add('tfc:stone_hammer_head', 'tfc:stone/hammer_head/sedimentary')


            
            //Stone Tool Javelin
            event.add('tfc:stone_javelin_head', 'tfc:stone/javelin_head/igneous_extrusive')
            event.add('tfc:stone_javelin_head', 'tfc:stone/javelin_head/igneous_intrusive')
            event.add('tfc:stone_javelin_head', 'tfc:stone/javelin_head/metamorphic')
            event.add('tfc:stone_javelin_head', 'tfc:stone/javelin_head/sedimentary')



                        //Stone Tool Axe
                        event.add('tfc:stone_axe', 'tfc:stone/axe/igneous_extrusive')
                        event.add('tfc:stone_axe', 'tfc:stone/axe/igneous_intrusive')
                        event.add('tfc:stone_axe', 'tfc:stone/axe/metamorphic')
                        event.add('tfc:stone_axe', 'tfc:stone/axe/sedimentary')
            
            
                        //Stone Tool Shovel
                        event.add('tfc:stone_shovel', 'tfc:stone/shovel/igneous_extrusive')
                        event.add('tfc:stone_shovel', 'tfc:stone/shovel/igneous_intrusive')
                        event.add('tfc:stone_shovel', 'tfc:stone/shovel/metamorphic')
                        event.add('tfc:stone_shovel', 'tfc:stone/shovel/sedimentary')
            
                        
                        //Stone Tool Knife
                        event.add('tfc:stone_knife', 'tfc:stone/knife/igneous_extrusive')
                        event.add('tfc:stone_knife', 'tfc:stone/knife/igneous_intrusive')
                        event.add('tfc:stone_knife', 'tfc:stone/knife/metamorphic')
                        event.add('tfc:stone_knife', 'tfc:stone/knife/sedimentary')
            
                        
                        //Stone Tool Hoe
                        event.add('tfc:stone_hoe', 'tfc:stone/hoe/igneous_extrusive')
                        event.add('tfc:stone_hoe', 'tfc:stone/hoe/igneous_intrusive')
                        event.add('tfc:stone_hoe', 'tfc:stone/hoe/metamorphic')
                        event.add('tfc:stone_hoe', 'tfc:stone/hoe/sedimentary')
            
                        
                        //Stone Tool Hammer
                        event.add('tfc:stone_hammer', 'tfc:stone/hammer/igneous_extrusive')
                        event.add('tfc:stone_hammer', 'tfc:stone/hammer/igneous_intrusive')
                        event.add('tfc:stone_hammer', 'tfc:stone/hammer/metamorphic')
                        event.add('tfc:stone_hammer', 'tfc:stone/hammer/sedimentary')
            
            
                        
                        //Stone Tool Javelin
                        event.add('tfc:stone_javelin', 'tfc:stone/javelin/igneous_extrusive')
                        event.add('tfc:stone_javelin', 'tfc:stone/javelin/igneous_intrusive')
                        event.add('tfc:stone_javelin', 'tfc:stone/javelin/metamorphic')
                        event.add('tfc:stone_javelin', 'tfc:stone/javelin/sedimentary')

            





            //Bronze Ingot
            event.add('tfc:bronze_ingot', 'tfc:metal/ingot/bronze')
            event.add('tfc:bronze_ingot', 'tfc:metal/ingot/bismuth_bronze')
            event.add('tfc:bronze_ingot', 'tfc:metal/ingot/black_bronze')
    
            //Bronze Anvil
            event.add('tfc:bronze_anvils', 'tfc:metal/anvil/bronze')
            event.add('tfc:bronze_anvils', 'tfc:metal/anvil/bismuth_bronze')
            event.add('tfc:bronze_anvils', 'tfc:metal/anvil/black_bronze')
    
            // Bronze Tools
            event.add('tfc:bronze_pickaxes', 'tfc:metal/pickaxe/bronze')
            event.add('tfc:bronze_pickaxes', 'tfc:metal/pickaxe/bismuth_bronze')
            event.add('tfc:bronze_pickaxes', 'tfc:metal/pickaxe/black_bronze')
            event.add('tfc:bronze_propicks', 'tfc:metal/propick/bronze')
            event.add('tfc:bronze_propicks', 'tfc:metal/propick/bismuth_bronze')
            event.add('tfc:bronze_propicks', 'tfc:metal/propick/black_bronze')
            event.add('tfc:bronze_axes', 'tfc:metal/axe/bronze')
            event.add('tfc:bronze_axes', 'tfc:metal/axe/bismuth_bronze')
            event.add('tfc:bronze_axes', 'tfc:metal/axe/black_bronze')
            event.add('tfc:bronze_shovels', 'tfc:metal/shovel/bronze')
            event.add('tfc:bronze_shovels', 'tfc:metal/shovel/bismuth_bronze')
            event.add('tfc:bronze_shovels', 'tfc:metal/shovel/black_bronze')
            event.add('tfc:bronze_hoes', 'tfc:metal/hoe/bronze')
            event.add('tfc:bronze_hoes', 'tfc:metal/hoe/bismuth_bronze')
            event.add('tfc:bronze_hoes', 'tfc:metal/hoe/black_bronze')
            event.add('tfc:bronze_hammers', 'tfc:metal/hammer/bronze')
            event.add('tfc:bronze_hammers', 'tfc:metal/hammer/bismuth_bronze')
            event.add('tfc:bronze_hammers', 'tfc:metal/hammer/black_bronze')
            event.add('tfc:bronze_saws', 'tfc:metal/saw/bronze')
            event.add('tfc:bronze_saws', 'tfc:metal/saw/bismuth_bronze')
            event.add('tfc:bronze_saws', 'tfc:metal/saw/black_bronze')
            event.add('tfc:bronze_knives', 'tfc:metal/knife/bronze')
            event.add('tfc:bronze_knives', 'tfc:metal/knife/bismuth_bronze')
            event.add('tfc:bronze_knives', 'tfc:metal/knife/black_bronze')
            event.add('tfc:bronze_scythes', 'tfc:metal/scythe/bronze')
            event.add('tfc:bronze_scythes', 'tfc:metal/scythe/bismuth_bronze')
            event.add('tfc:bronze_scythes', 'tfc:metal/scythe/black_bronze')
            event.add('tfc:bronze_javelins', 'tfc:metal/javelin/bronze')
            event.add('tfc:bronze_javelins', 'tfc:metal/javelin/bismuth_bronze')
            event.add('tfc:bronze_javelins', 'tfc:metal/javelin/black_bronze')
            event.add('tfc:bronze_swords', 'tfc:metal/sword/bronze')
            event.add('tfc:bronze_swords', 'tfc:metal/sword/bismuth_bronze')
            event.add('tfc:bronze_swords', 'tfc:metal/sword/black_bronze')
            event.add('tfc:bronze_maces', 'tfc:metal/mace/bronze')
            event.add('tfc:bronze_maces', 'tfc:metal/mace/bismuth_bronze')
            event.add('tfc:bronze_maces', 'tfc:metal/mace/black_bronze')
            event.add('tfc:bronze_fishing_rods', 'tfc:metal/fishing_rod/bronze')
            event.add('tfc:bronze_fishing_rods', 'tfc:metal/fishing_rod/bismuth_bronze')
            event.add('tfc:bronze_fishing_rods', 'tfc:metal/fishing_rod/black_bronze')
            event.add('tfc:bronze_shears', 'tfc:metal/shears/bronze')
            event.add('tfc:bronze_shears', 'tfc:metal/shears/bismuth_bronze')
            event.add('tfc:bronze_shears', 'tfc:metal/shears/black_bronze')

            //Bronze Armors
            event.add('tfc:bronze_helmets', 'tfc:metal/helmet/bronze')
            event.add('tfc:bronze_helmets', 'tfc:metal/helmet/bismuth_bronze')
            event.add('tfc:bronze_helmets', 'tfc:metal/helmet/black_bronze')
            event.add('tfc:bronze_chestplates', 'tfc:metal/chestplate/bronze')
            event.add('tfc:bronze_chestplates', 'tfc:metal/chestplate/bismuth_bronze')
            event.add('tfc:bronze_chestplates', 'tfc:metal/chestplate/black_bronze')
            event.add('tfc:bronze_greaves', 'tfc:metal/greaves/bronze')
            event.add('tfc:bronze_greaves', 'tfc:metal/greaves/bismuth_bronze')
            event.add('tfc:bronze_greaves', 'tfc:metal/greaves/black_bronze')
            event.add('tfc:bronze_boots', 'tfc:metal/boots/bronze')
            event.add('tfc:bronze_boots', 'tfc:metal/boots/bismuth_bronze')
            event.add('tfc:bronze_boots', 'tfc:metal/boots/black_bronze')
            event.add('tfc:bronze_shields', 'tfc:metal/shield/bronze')
            event.add('tfc:bronze_shields', 'tfc:metal/shield/bismuth_bronze')
            event.add('tfc:bronze_shields', 'tfc:metal/shield/black_bronze')
            event.add('tfc:bronze_horse_armor', 'tfc:metal/horse_armor/bronze')
            event.add('tfc:bronze_horse_armor', 'tfc:metal/horse_armor/bismuth_bronze')
            event.add('tfc:bronze_horse_armor', 'tfc:metal/horse_armor/black_bronze')


            //Coral
            event.add('tfc:tube_coral', 'tfc:coral/tube_coral')
            event.add('tfc:tube_coral', 'tfc:coral/tube_coral_fan')
            event.add('tfc:brain_coral', 'tfc:coral/brain_coral')
            event.add('tfc:brain_coral', 'tfc:coral/brain_coral_fan')
            event.add('tfc:bubble_coral', 'tfc:coral/bubble_coral')
            event.add('tfc:bubble_coral', 'tfc:coral/bubble_coral_fan')
            event.add('tfc:fire_coral', 'tfc:coral/fire_coral')
            event.add('tfc:fire_coral', 'tfc:coral/fire_coral_fan')
            event.add('tfc:horn_coral', 'tfc:coral/horn_coral')
            event.add('tfc:horn_coral', 'tfc:coral/horn_coral_fan')


            //Sea Ground Cover
            event.add('tfc:sea_ground_cover', 'tfc:groundcover/mollusk')
            event.add('tfc:sea_ground_cover', 'tfc:groundcover/clam')
            event.add('tfc:sea_ground_cover', 'tfc:groundcover/mussel')
            event.add('tfc:sea_ground_cover', 'tfc:groundcover/sea_urchin')

            

        //Stripped Logs
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/acacia')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/ash')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/aspen')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/birch')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/blackwood')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/chestnut')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/douglas_fir')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/hickory')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/kapok')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/mangrove')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/maple')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/oak')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/palm')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/pine')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/rosewood')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/sequoia')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/spruce')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/sycamore')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/white_cedar')
        event.add('tfc:stripped_logs', 'tfc:wood/stripped_log/willow')



        //Milk

        event.add('tfc:milk', 'firmalife:bucket/goat_milk')
        event.add('tfc:milk', 'firmalife:bucket/yak_milk')
        event.add('tfc:milk', 'minecraft:milk_bucket')
        event.add('tfc:milk', 'firmalife:bucket/coconut_milk')



        //Seeds
        
        event.add('tfc:seeds', 'immersiveengineering:seed')


        //Sands
        event.add('tfc:sands', 'tfc:sand/brown')
        event.add('tfc:sands', 'tfc:sand/white')
        event.add('tfc:sands', 'tfc:sand/black')
        event.add('tfc:sands', 'tfc:sand/red')
        event.add('tfc:sands', 'tfc:sand/yellow')
        event.add('tfc:sands', 'tfc:sand/green')
        event.add('tfc:sands', 'tfc:sand/pink')



        //Raw Metamorphic Stone
        
        event.add('tfc:raw_metamorphic_stone', 'tfc:rock/raw/granite')
        event.add('tfc:raw_metamorphic_stone', 'tfc:rock/raw/quartzite')
        event.add('tfc:raw_metamorphic_stone', 'tfc:rock/raw/slate')
        event.add('tfc:raw_metamorphic_stone', 'tfc:rock/raw/phyllite')
        event.add('tfc:raw_metamorphic_stone', 'tfc:rock/raw/schist')
        event.add('tfc:raw_metamorphic_stone', 'tfc:rock/raw/gneiss')
        event.add('tfc:raw_metamorphic_stone', 'tfc:rock/raw/marble')



        //Hardened Metamorphic Stone
        
        event.add('tfc:hardened_metamorphic_stone', 'tfc:rock/hardened/granite')
        event.add('tfc:hardened_metamorphic_stone', 'tfc:rock/hardened/quartzite')
        event.add('tfc:hardened_metamorphic_stone', 'tfc:rock/hardened/slate')
        event.add('tfc:hardened_metamorphic_stone', 'tfc:rock/hardened/phyllite')
        event.add('tfc:hardened_metamorphic_stone', 'tfc:rock/hardened/schist')
        event.add('tfc:hardened_metamorphic_stone', 'tfc:rock/hardened/gneiss')
        event.add('tfc:hardened_metamorphic_stone', 'tfc:rock/hardened/marble')



        //Raw Igneous Extrusive Stone
        event.add('tfc:hardened_igneous_extrusive_stone', 'tfc:rock/hardened/rhyolite')
        event.add('tfc:hardened_igneous_extrusive_stone', 'tfc:rock/hardened/basalt')
        event.add('tfc:hardened_igneous_extrusive_stone', 'tfc:rock/hardened/dacite')
        event.add('tfc:hardened_igneous_extrusive_stone', 'tfc:rock/hardened/andesite')



        //Cobble
        event.add('tfc:cobble', 'tfc:rock/cobble/granite')
        event.add('tfc:cobble', 'tfc:rock/cobble/diorite')
        event.add('tfc:cobble', 'tfc:rock/cobble/gabbro')
        event.add('tfc:cobble', 'tfc:rock/cobble/shale')
        event.add('tfc:cobble', 'tfc:rock/cobble/claystone')
        event.add('tfc:cobble', 'tfc:rock/cobble/limestone')
        event.add('tfc:cobble', 'tfc:rock/cobble/conglomerate')
        event.add('tfc:cobble', 'tfc:rock/cobble/dolomite')
        event.add('tfc:cobble', 'tfc:rock/cobble/chert')
        event.add('tfc:cobble', 'tfc:rock/cobble/chalk')
        event.add('tfc:cobble', 'tfc:rock/cobble/rhyolite')
        event.add('tfc:cobble', 'tfc:rock/cobble/basalt')
        event.add('tfc:cobble', 'tfc:rock/cobble/andesite')
        event.add('tfc:cobble', 'tfc:rock/cobble/dacite')
        event.add('tfc:cobble', 'tfc:rock/cobble/quartzite')
        event.add('tfc:cobble', 'tfc:rock/cobble/slate')
        event.add('tfc:cobble', 'tfc:rock/cobble/phyllite')
        event.add('tfc:cobble', 'tfc:rock/cobble/schist')
        event.add('tfc:cobble', 'tfc:rock/cobble/gneiss')
        event.add('tfc:cobble', 'tfc:rock/cobble/marble')



        //Mossy Cobble
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/granite')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/diorite')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/gabbro')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/shale')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/claystone')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/limestone')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/conglomerate')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/dolomite')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/chert')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/chalk')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/rhyolite')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/basalt')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/andesite')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/dacite')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/quartzite')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/slate')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/phyllite')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/schist')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/gneiss')
        event.add('tfc:mossy_cobble', 'tfc:rock/mossy_cobble/marble')



        //Stone
        event.add('tfc:raw_stone', 'tfc:rock/raw/granite')
        event.add('tfc:raw_stone', 'tfc:rock/raw/diorite')
        event.add('tfc:raw_stone', 'tfc:rock/raw/gabbro')
        event.add('tfc:raw_stone', 'tfc:rock/raw/shale')
        event.add('tfc:raw_stone', 'tfc:rock/raw/claystone')
        event.add('tfc:raw_stone', 'tfc:rock/raw/limestone')
        event.add('tfc:raw_stone', 'tfc:rock/raw/conglomerate')
        event.add('tfc:raw_stone', 'tfc:rock/raw/dolomite')
        event.add('tfc:raw_stone', 'tfc:rock/raw/chert')
        event.add('tfc:raw_stone', 'tfc:rock/raw/chalk')
        event.add('tfc:raw_stone', 'tfc:rock/raw/rhyolite')
        event.add('tfc:raw_stone', 'tfc:rock/raw/basalt')
        event.add('tfc:raw_stone', 'tfc:rock/raw/andesite')
        event.add('tfc:raw_stone', 'tfc:rock/raw/dacite')
        event.add('tfc:raw_stone', 'tfc:rock/raw/quartzite')
        event.add('tfc:raw_stone', 'tfc:rock/raw/slate')
        event.add('tfc:raw_stone', 'tfc:rock/raw/phyllite')
        event.add('tfc:raw_stone', 'tfc:rock/raw/schist')
        event.add('tfc:raw_stone', 'tfc:rock/raw/gneiss')
        event.add('tfc:raw_stone', 'tfc:rock/raw/marble')



        //Stone Slab
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/granite_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/diorite_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/gabbro_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/shale_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/claystone_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/limestone_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/conglomerate_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/dolomite_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/chert_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/chalk_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/rhyolite_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/basalt_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/andesite_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/dacite_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/quartzite_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/slate_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/phyllite_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/schist_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/gneiss_slab')
        event.add('tfc:raw_stone_slab', 'tfc:rock/raw/marble_slab')


        //Bricks
        event.add('tfc:bricks', 'tfc:rock/bricks/granite')
        event.add('tfc:bricks', 'tfc:rock/bricks/diorite')
        event.add('tfc:bricks', 'tfc:rock/bricks/gabbro')
        event.add('tfc:bricks', 'tfc:rock/bricks/shale')
        event.add('tfc:bricks', 'tfc:rock/bricks/claystone')
        event.add('tfc:bricks', 'tfc:rock/bricks/limestone')
        event.add('tfc:bricks', 'tfc:rock/bricks/conglomerate')
        event.add('tfc:bricks', 'tfc:rock/bricks/dolomite')
        event.add('tfc:bricks', 'tfc:rock/bricks/chert')
        event.add('tfc:bricks', 'tfc:rock/bricks/chalk')
        event.add('tfc:bricks', 'tfc:rock/bricks/rhyolite')
        event.add('tfc:bricks', 'tfc:rock/bricks/basalt')
        event.add('tfc:bricks', 'tfc:rock/bricks/andesite')
        event.add('tfc:bricks', 'tfc:rock/bricks/dacite')
        event.add('tfc:bricks', 'tfc:rock/bricks/quartzite')
        event.add('tfc:bricks', 'tfc:rock/bricks/slate')
        event.add('tfc:bricks', 'tfc:rock/bricks/phyllite')
        event.add('tfc:bricks', 'tfc:rock/bricks/schist')
        event.add('tfc:bricks', 'tfc:rock/bricks/gneiss')
        event.add('tfc:bricks', 'tfc:rock/bricks/marble')

        //Brick Bricks
        event.add('tfc:brick_bricks', 'tfc:brick/granite')
        event.add('tfc:brick_bricks', 'tfc:brick/diorite')
        event.add('tfc:brick_bricks', 'tfc:brick/gabbro')
        event.add('tfc:brick_bricks', 'tfc:brick/shale')
        event.add('tfc:brick_bricks', 'tfc:brick/claystone')
        event.add('tfc:brick_bricks', 'tfc:brick/limestone')
        event.add('tfc:brick_bricks', 'tfc:brick/conglomerate')
        event.add('tfc:brick_bricks', 'tfc:brick/dolomite')
        event.add('tfc:brick_bricks', 'tfc:brick/chert')
        event.add('tfc:brick_bricks', 'tfc:brick/chalk')
        event.add('tfc:brick_bricks', 'tfc:brick/rhyolite')
        event.add('tfc:brick_bricks', 'tfc:brick/basalt')
        event.add('tfc:brick_bricks', 'tfc:brick/andesite')
        event.add('tfc:brick_bricks', 'tfc:brick/dacite')
        event.add('tfc:brick_bricks', 'tfc:brick/quartzite')
        event.add('tfc:brick_bricks', 'tfc:brick/slate')
        event.add('tfc:brick_bricks', 'tfc:brick/phyllite')
        event.add('tfc:brick_bricks', 'tfc:brick/schist')
        event.add('tfc:brick_bricks', 'tfc:brick/gneiss')
        event.add('tfc:brick_bricks', 'tfc:brick/marble')


        //Mud Bricks
        event.add('tfc:mud_brick', 'tfc:mud_brick/loam')
        event.add('tfc:mud_brick', 'tfc:mud_brick/sandy_loam')
        event.add('tfc:mud_brick', 'tfc:mud_brick/silty_loam')
        event.add('tfc:mud_brick', 'tfc:mud_brick/silt')




        //Logs
        event.add('tfc:logs', 'tfc:wood/log/acacia')
        event.add('tfc:logs', 'tfc:wood/log/ash')
        event.add('tfc:logs', 'tfc:wood/log/aspen')
        event.add('tfc:logs', 'tfc:wood/log/birch')
        event.add('tfc:logs', 'tfc:wood/log/blackwood')
        event.add('tfc:logs', 'tfc:wood/log/chestnut')
        event.add('tfc:logs', 'tfc:wood/log/douglas_fir')
        event.add('tfc:logs', 'tfc:wood/log/hickory')
        event.add('tfc:logs', 'tfc:wood/log/kapok')
        event.add('tfc:logs', 'tfc:wood/log/mangrove')
        event.add('tfc:logs', 'tfc:wood/log/maple')
        event.add('tfc:logs', 'tfc:wood/log/oak')
        event.add('tfc:logs', 'tfc:wood/log/palm')
        event.add('tfc:logs', 'tfc:wood/log/pine')
        event.add('tfc:logs', 'tfc:wood/log/rosewood')
        event.add('tfc:logs', 'tfc:wood/log/sequoia')
        event.add('tfc:logs', 'tfc:wood/log/spruce')
        event.add('tfc:logs', 'tfc:wood/log/sycamore')
        event.add('tfc:logs', 'tfc:wood/log/white_cedar')
        event.add('tfc:logs', 'tfc:wood/log/willow')
        




        //Lumber
        event.add('tfc:lumber', 'tfc:wood/lumber/acacia')
        event.add('tfc:lumber', 'tfc:wood/lumber/ash')
        event.add('tfc:lumber', 'tfc:wood/lumber/aspen')
        event.add('tfc:lumber', 'tfc:wood/lumber/birch')
        event.add('tfc:lumber', 'tfc:wood/lumber/blackwood')
        event.add('tfc:lumber', 'tfc:wood/lumber/chestnut')
        event.add('tfc:lumber', 'tfc:wood/lumber/douglas_fir')
        event.add('tfc:lumber', 'tfc:wood/lumber/hickory')
        event.add('tfc:lumber', 'tfc:wood/lumber/kapok')
        event.add('tfc:lumber', 'tfc:wood/lumber/mangrove')
        event.add('tfc:lumber', 'tfc:wood/lumber/maple')
        event.add('tfc:lumber', 'tfc:wood/lumber/oak')
        event.add('tfc:lumber', 'tfc:wood/lumber/palm')
        event.add('tfc:lumber', 'tfc:wood/lumber/pine')
        event.add('tfc:lumber', 'tfc:wood/lumber/rosewood')
        event.add('tfc:lumber', 'tfc:wood/lumber/sequoia')
        event.add('tfc:lumber', 'tfc:wood/lumber/spruce')
        event.add('tfc:lumber', 'tfc:wood/lumber/sycamore')
        event.add('tfc:lumber', 'tfc:wood/lumber/white_cedar')
        event.add('tfc:lumber', 'tfc:wood/lumber/willow')



        //Igneous Extrusive Cobble
        event.add('tfc:igneous_extrusive_cobble', 'tfc:rock/cobble/rhyolite')
        event.add('tfc:igneous_extrusive_cobble', 'tfc:rock/cobble/dacite')
        event.add('tfc:igneous_extrusive_cobble', 'tfc:rock/cobble/basalt')
        event.add('tfc:igneous_extrusive_cobble', 'tfc:rock/cobble/andesite')



        //Igneous Extrusive Cobble
        event.add('tfc:igneous_intrusive_cobble', 'tfc:rock/cobble/diorite')
        event.add('tfc:igneous_intrusive_cobble', 'tfc:rock/cobble/gabbro')
        event.add('tfc:igneous_intrusive_cobble', 'tfc:rock/cobble/granite')



        //Metamorphic Cobble
        event.add('tfc:metamorphic_cobble', 'tfc:rock/cobble/gneiss')
        event.add('tfc:metamorphic_cobble', 'tfc:rock/cobble/marble')
        event.add('tfc:metamorphic_cobble', 'tfc:rock/cobble/phyllite')
        event.add('tfc:metamorphic_cobble', 'tfc:rock/cobble/quartzite')
        event.add('tfc:metamorphic_cobble', 'tfc:rock/cobble/schist')
        event.add('tfc:metamorphic_cobble', 'tfc:rock/cobble/slate')


        //Sedimentary Cobble
        event.add('tfc:sedimentary_cobble', 'tfc:rock/cobble/chalk')
        event.add('tfc:sedimentary_cobble', 'tfc:rock/cobble/chert')
        event.add('tfc:sedimentary_cobble', 'tfc:rock/cobble/claystone')
        event.add('tfc:sedimentary_cobble', 'tfc:rock/cobble/conglomerate')
        event.add('tfc:sedimentary_cobble', 'tfc:rock/cobble/dolomite')
        event.add('tfc:sedimentary_cobble', 'tfc:rock/cobble/limestone')
        event.add('tfc:sedimentary_cobble', 'tfc:rock/cobble/shale')


        //Fluxstone
        event.add('tfc:fluxstone', 'kubejs:fossil')


        //Iron Powder
        event.add('tfc:iron_powder', 'tfc:powder/limonite')
        event.add('tfc:iron_powder', 'tfc:powder/magnetite')
        event.add('tfc:iron_powder', 'tfc:powder/hematite')



        //Wet Brick
        event.add('tfc:wet_brick', 'tfc:drying_bricks/silt')
        event.add('tfc:wet_brick', 'tfc:drying_bricks/silty_loam')
        event.add('tfc:wet_brick', 'tfc:drying_bricks/loam')
        event.add('tfc:wet_brick', 'tfc:drying_bricks/sandy_loam')



        //Copper Ore
        event.add('tfc:copper_ore', 'tfc:ore/poor_native_copper')
        event.add('tfc:copper_ore', 'tfc:ore/normal_native_copper')
        event.add('tfc:copper_ore', 'tfc:ore/rich_native_copper')
        event.add('tfc:copper_ore', 'tfc:ore/poor_malachite')
        event.add('tfc:copper_ore', 'tfc:ore/normal_malachite')
        event.add('tfc:copper_ore', 'tfc:ore/rich_malachite')
        event.add('tfc:copper_ore', 'tfc:ore/poor_tetrahedrite')
        event.add('tfc:copper_ore', 'tfc:ore/normal_tetrahedrite')
        event.add('tfc:copper_ore', 'tfc:ore/rich_tetrahedrite')




        //Bladed Axles
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/acacia')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/ash')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/aspen')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/birch')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/blackwood')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/chestnut')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/douglas_fir')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/hickory')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/kapok')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/white_cedar')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/willow')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/mangrove')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/maple')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/oak')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/palm')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/pine')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/rosewood')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/sequoia')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/spruce')
        event.add('tfc:bladed_axels', 'tfc:wood/bladed_axle/sycamore')




        //Grain Seeds
        event.add('tfc:grain_seeds', 'tfc:seeds/barley')
        event.add('tfc:grain_seeds', 'tfc:seeds/oat')
        event.add('tfc:grain_seeds', 'tfc:seeds/rye')
        event.add('tfc:grain_seeds', 'tfc:seeds/wheat')
        event.add('tfc:grain_seeds', 'tfc:seeds/rice')
        event.add('tfc:grain_seeds', 'tfc:seeds/maize')




        //Vegetable Seeds
        event.add('tfc:vegetable_seeds', 'tfc:seeds/beet')
        event.add('tfc:vegetable_seeds', 'tfc:seeds/cabbage')
        event.add('tfc:vegetable_seeds', 'tfc:seeds/carrot')
        event.add('tfc:vegetable_seeds', 'tfc:seeds/garlic')
        event.add('tfc:vegetable_seeds', 'tfc:seeds/green_bean')
        event.add('tfc:vegetable_seeds', 'tfc:seeds/potato')
        event.add('tfc:vegetable_seeds', 'tfc:seeds/onion')
        event.add('tfc:vegetable_seeds', 'tfc:seeds/soybean')
        event.add('tfc:vegetable_seeds', 'tfc:seeds/squash')
        event.add('tfc:vegetable_seeds', 'tfc:seeds/tomato')
        event.add('tfc:vegetable_seeds', 'tfc:seeds/red_bell_pepper')
        event.add('tfc:vegetable_seeds', 'tfc:seeds/yellow_bell_pepper')





        //Grape Seeds
        event.add('tfc:grape_seeds', 'firmalife:seeds/white_grape')
        event.add('tfc:grape_seeds', 'firmalife:seeds/red_grape')




        //Normal Dough 
        event.add('tfc:normal_dough', 'firmalife:food/wheat_dough')
        event.add('tfc:normal_dough', 'firmalife:food/rice_dough')
        event.add('tfc:normal_dough', 'firmalife:food/rye_dough')
        event.add('tfc:normal_dough', 'firmalife:food/oat_dough')
        event.add('tfc:normal_dough', 'firmalife:food/maize_dough')
        event.add('tfc:normal_dough', 'firmalife:food/barley_dough')




        //Flatbread Dough 
        event.add('tfc:flatbread_dough', 'tfc:food/wheat_dough')
        event.add('tfc:flatbread_dough', 'tfc:food/rice_dough')
        event.add('tfc:flatbread_dough', 'tfc:food/rye_dough')
        event.add('tfc:flatbread_dough', 'tfc:food/oat_dough')
        event.add('tfc:flatbread_dough', 'tfc:food/maize_dough')
        event.add('tfc:flatbread_dough', 'tfc:food/barley_dough')




        //Milk Curds
        event.add('tfc:milk_curds', 'firmalife:food/goat_curd')
        event.add('tfc:milk_curds', 'firmalife:food/yak_curd')
        event.add('tfc:milk_curds', 'firmalife:food/milk_curd')




        //Grooming Station
        event.add('tfc:grooming_station', 'tfcgroomer:copper_grooming_station')
        event.add('tfc:grooming_station', 'tfcgroomer:bronze_grooming_station')
        event.add('tfc:grooming_station', 'tfcgroomer:bismuth_bronze_grooming_station')
        event.add('tfc:grooming_station', 'tfcgroomer:black_bronze_grooming_station')
        event.add('tfc:grooming_station', 'tfcgroomer:wrought_iron_grooming_station')
        event.add('tfc:grooming_station', 'tfcgroomer:steel_grooming_station')
        event.add('tfc:grooming_station', 'tfcgroomer:black_steel_grooming_station')




        //Max Grooming Station
        event.add('tfc:max_grooming_station', 'tfcgroomer:blue_steel_grooming_station')
        event.add('tfc:max_grooming_station', 'tfcgroomer:red_steel_grooming_station')




        //Grain Seeds
        event.add('tfc:grain_seeds', 'tfc:seeds/wheat')
        event.add('tfc:grain_seeds', 'tfc:seeds/rice')
        event.add('tfc:grain_seeds', 'tfc:seeds/rye')
        event.add('tfc:grain_seeds', 'tfc:seeds/oat')
        event.add('tfc:grain_seeds', 'tfc:seeds/maize')
        event.add('tfc:grain_seeds', 'tfc:seeds/barley')




        //Grain
        event.add('tfc:grain', 'tfc:food/wheat')
        event.add('tfc:grain', 'tfc:food/rice')
        event.add('tfc:grain', 'tfc:food/rye')
        event.add('tfc:grain', 'tfc:food/oat')
        event.add('tfc:grain', 'tfc:food/maize')
        event.add('tfc:grain', 'tfc:food/barley')




        //Soybean
        event.add('tfc:soybean', 'tfc:food/soybean')




        //Soy Mixture
        event.add('tfc:soy_mixture', 'firmalife:food/soy_mixture')




        //Tofu
        event.add('tfc:tofu', 'firmalife:food/tofu')




        // Cooked Beef
        event.add('tfc:cooked_beef', 'tfc:food/cooked_beef')

        // Cooked Turkey
        event.add('tfc:cooked_turkey', 'tfc:food/cooked_turkey')

        // Cooked Pheasant
        event.add('tfc:cooked_pheasant', 'tfc:food/cooked_pheasant')

        // Cooked Horse Meat
        event.add('tfc:cooked_horse_meat', 'tfc:food/cooked_horse_meat')

        // Cooked Bear
        event.add('tfc:cooked_bear', 'tfc:food/cooked_bear')

        // Cooked Mutton
        event.add('tfc:cooked_mutton', 'tfc:food/cooked_mutton')

        // Cooked Quail
        event.add('tfc:cooked_quail', 'tfc:food/cooked_quail')

        // Cooked Chicken
        event.add('tfc:cooked_chicken', 'tfc:food/cooked_chicken')

        // Cooked Pork
        event.add('tfc:cooked_pork', 'tfc:food/cooked_pork')

        // Cooked Smallmouth Bass
        event.add('tfc:cooked_smallmouth_bass', 'tfc:food/cooked_smallmouth_bass')

        // Cooked Salmon
        event.add('tfc:cooked_salmon', 'tfc:food/cooked_salmon')

        // Cooked Rainbow Trout
        event.add('tfc:cooked_rainbow_trout', 'tfc:food/cooked_rainbow_trout')

        // Cooked Largemouth Bass
        event.add('tfc:cooked_largemouth_bass', 'tfc:food/cooked_largemouth_bass')

        // Cooked Lake Trout
        event.add('tfc:cooked_lake_trout', 'tfc:food/cooked_lake_trout')

        // Cooked Crappie
        event.add('tfc:cooked_crappie', 'tfc:food/cooked_crappie')

        // Cooked Bluegill
        event.add('tfc:cooked_bluegill', 'tfc:food/cooked_bluegill')

        // Cooked Shellfish
        event.add('tfc:cooked_shellfish', 'tfc:food/cooked_shellfish')

        // Cooked Calamari
        event.add('tfc:cooked_calamari', 'tfc:food/cooked_calamari')

        // Cooked Tropical Fish
        event.add('tfc:cooked_tropical_fish', 'tfc:food/cooked_tropical_fish')

        // Cooked Cod
        event.add('tfc:cooked_cod', 'tfc:food/cooked_cod')

        // Cooked Turtle
        event.add('tfc:cooked_turtle', 'tfc:food/cooked_turtle')

        // Cooked Gran Feline
        event.add('tfc:cooked_gran_feline', 'tfc:food/cooked_gran_feline')

        // Cooked Frog Legs
        event.add('tfc:cooked_frog_legs', 'tfc:food/cooked_frog_legs')

        // Cooked Camelidae
        event.add('tfc:cooked_camelidae', 'tfc:food/cooked_camelidae')

        // Cooked Chevon
        event.add('tfc:cooked_chevon', 'tfc:food/cooked_chevon')

        // Cooked Duck
        event.add('tfc:cooked_duck', 'tfc:food/cooked_duck')

        // Cooked Hyena
        event.add('tfc:cooked_hyena', 'tfc:food/cooked_hyena')

        // Cooked Fox
        event.add('tfc:cooked_fox', 'tfc:food/cooked_fox')

        // Cooked Rabbit
        event.add('tfc:cooked_rabbit', 'tfc:food/cooked_rabbit')

        // Cooked Wolf
        event.add('tfc:cooked_wolf', 'tfc:food/cooked_wolf')

        // Cooked Venison
        event.add('tfc:cooked_venison', 'tfc:food/cooked_venison')

        // Cooked Grouse
        event.add('tfc:cooked_grouse', 'tfc:food/cooked_grouse')

        // Cooked Peafowl
        event.add('tfc:cooked_peafowl', 'tfc:food/cooked_peafowl')

        // Boiled Egg
        event.add('tfc:boiled_egg', 'tfc:food/boiled_egg')



        // Blackberry
        event.add('tfc:blackberry', 'tfc:food/blackberry')

        // Bunchberry
        event.add('tfc:bunchberry', 'tfc:food/bunchberry')

        // Cloudberry
        event.add('tfc:cloudberry', 'tfc:food/cloudberry')

        // Cranberry
        event.add('tfc:cranberry', 'tfc:food/cranberry')

        // Elderberry
        event.add('tfc:elderberry', 'tfc:food/elderberry')

        // Gooseberry
        event.add('tfc:gooseberry', 'tfc:food/gooseberry')

        // Raspberry
        event.add('tfc:raspberry', 'tfc:food/raspberry')

        // Strawberry
        event.add('tfc:strawberry', 'tfc:food/strawberry')

        // Wintergreen Berry
        event.add('tfc:wintergreen_berry', 'tfc:food/wintergreen_berry')

        // Banana
        event.add('tfc:banana', 'tfc:food/banana')

        // Cherry
        event.add('tfc:cherry', 'tfc:food/cherry')

        // Lemon
        event.add('tfc:lemon', 'tfc:food/lemon')

        // Orange
        event.add('tfc:orange', 'tfc:food/orange')

        // Plum
        event.add('tfc:plum', 'tfc:food/plum')

        // Red Apple
        event.add('tfc:red_apple', 'tfc:food/red_apple')

        // Green Apple
        event.add('tfc:green_apple', 'tfc:food/green_apple')

        // Pumpkin Chunks
        event.add('tfc:pumpkin_chunks', 'tfc:food/pumpkin_chunks')

        // Melon Slice
        event.add('tfc:melon_slice', 'tfc:food/melon_slice')

        // Blueberry
        event.add('tfc:blueberry', 'tfc:food/blueberry')

        // Barley Bread
        event.add('tfc:barley_bread', 'tfc:food/barley_bread')

        // Maize Bread
        event.add('tfc:maize_bread', 'tfc:food/maize_bread')

        // Oat Bread
        event.add('tfc:oat_bread', 'tfc:food/oat_bread')

        // Rye Bread
        event.add('tfc:rye_bread', 'tfc:food/rye_bread')

        // Rice Bread
        event.add('tfc:rice_bread', 'tfc:food/rice_bread')

        // Wheat Bread
        event.add('tfc:wheat_bread', 'tfc:food/wheat_bread')

        // Soybean
        event.add('tfc:soybean', 'tfc:food/soybean')

        // Red Bell Pepper
        event.add('tfc:red_bell_pepper', 'tfc:food/red_bell_pepper')

        // Onion
        event.add('tfc:onion', 'tfc:food/onion')

        // Green Bell Pepper
        event.add('tfc:green_bell_pepper', 'tfc:food/green_bell_pepper')

        // Green Bean
        event.add('tfc:green_bean', 'tfc:food/green_bean')

        // Garlic
        event.add('tfc:garlic', 'tfc:food/garlic')

        // Carrot
        event.add('tfc:carrot', 'tfc:food/carrot')

        // Cabbage
        event.add('tfc:cabbage', 'tfc:food/cabbage')

        // Beet
        event.add('tfc:beet', 'tfc:food/beet')

        // Sugarcane
        event.add('tfc:sugarcane', 'tfc:food/sugarcane')

        // Squash
        event.add('tfc:squash', 'tfc:food/squash')

        // Tomato
        event.add('tfc:tomato', 'tfc:food/tomato')

        // Dried Seaweed
        event.add('tfc:dried_seaweed', 'tfc:food/dried_seaweed')

        // Dried Kelp
        event.add('tfc:dried_kelp', 'tfc:food/dried_kelp')

        // Baked Potato
        event.add('tfc:potato', 'tfc:food/potato')

        // Taro Root
        event.add('tfc:taro_root', 'tfc:food/taro_root')

        // Cattail Root
        event.add('tfc:cattail_root', 'tfc:food/cattail_root')

        // Cranberry Jar
        event.add('tfc:cranberry_jar', 'tfc:jar/cranberry')

        // Blackberry Jar
        event.add('tfc:blackberry_jar', 'tfc:jar/blackberry')

        // Bunchberry Jar
        event.add('tfc:bunchberry_jar', 'tfc:jar/bunchberry')

        // Cloudberry Jar
        event.add('tfc:cloudberry_jar', 'tfc:jar/cloudberry')

        // Elderberry Jar
        event.add('tfc:elderberry_jar', 'tfc:jar/elderberry')

        // Gooseberry Jar
        event.add('tfc:gooseberry_jar', 'tfc:jar/gooseberry')

        // Raspberry Jar
        event.add('tfc:raspberry_jar', 'tfc:jar/raspberry')

        // Snowberry Jar
        event.add('tfc:snowberry_jar', 'tfc:jar/snowberry')

        // Banana Jar
        event.add('tfc:banana_jar', 'tfc:jar/banana')

        // Lemon Jar
        event.add('tfc:lemon_jar', 'tfc:jar/lemon')

        // Orange Jar
        event.add('tfc:orange_jar', 'tfc:jar/orange')

        // Peach Jar
        event.add('tfc:peach_jar', 'tfc:jar/peach')

        // Plum Jar
        event.add('tfc:plum_jar', 'tfc:jar/plum')

        // Melon Slice Jar
        event.add('tfc:melon_slice_jar', 'tfc:jar/melon_slice')

        // Blueberry Jar
        event.add('tfc:blueberry_jar', 'tfc:jar/blueberry')

        // Strawberry Jar
        event.add('tfc:strawberry_jar', 'tfc:jar/strawberry')

        // Cherry Jar
        event.add('tfc:cherry_jar', 'tfc:jar/cherry')

        // Red Apple Jar
        event.add('tfc:red_apple_jar', 'tfc:jar/red_apple')

        // Wintergreen Berry Jar
        event.add('tfc:wintergreen_berry_jar', 'tfc:jar/wintergreen_berry')

        // Green Apple Jar
        event.add('tfc:green_apple_jar', 'tfc:jar/green_apple')

        // Olive Jar
        event.add('tfc:olive_jar', 'tfc:jar/olive')

        // Pumpkin Chunks Jar
        event.add('tfc:pumpkin_chunks_jar', 'tfc:jar/pumpkin_chunks')

        // Cooked Bacon
        event.add('tfc:cooked_bacon', 'firmalife:food/cooked_bacon')

        // Cooked Pizza
        event.add('tfc:cooked_pizza', 'firmalife:food/cooked_pizza')

        // Cooked Pie
        event.add('tfc:cooked_pie', 'firmalife:food/cooked_pie')

        // Cooked Lasagna
        event.add('tfc:cooked_lasagna', 'firmalife:food/cooked_lasagna')

        // Cooked Pasta
        event.add('tfc:cooked_pasta', 'firmalife:food/cooked_pasta')

        // Cooked Rice Noodles
        event.add('tfc:cooked_rice_noodles', 'firmalife:food/cooked_rice_noodles')

        // Taco
        event.add('tfc:taco', 'firmalife:food/taco')

        // Sugar Cookie
        event.add('tfc:sugar_cookie', 'firmalife:food/sugar_cookie')

        // White Grapes Jar
        event.add('tfc:white_grapes_jar', 'firmalife:jar/white_grapes')

        // Fig Jar
        event.add('tfc:fig_jar', 'firmalife:jar/fig')

        // Chevre Wheel
        event.add('tfc:chevre_wheel', 'firmalife:chevre_wheel')

        // Rajya Metok Wheel
        event.add('tfc:rajya_metok_wheel', 'firmalife:rajya_metok_wheel')

        // Butter
        event.add('tfc:butter', 'firmalife:food/butter')

        // Tortilla Chips
        event.add('tfc:tortilla_chips', 'firmalife:food/tortilla_chips')

        // Pasta with Tomato Sauce
        event.add('tfc:pasta_with_tomato_sauce', 'firmalife:food/pasta_with_tomato_sauce')

        // Hardtack
        event.add('tfc:hardtack', 'firmalife:food/hardtack')

        // Futo Maki Roll
        event.add('tfc:futo_maki_roll', 'firmalife:food/futo_maki_roll')

        // Maki Roll
        event.add('tfc:maki_roll', 'firmalife:food/maki_roll')

        // Salsa
        event.add('tfc:salsa', 'firmalife:food/salsa')

        // Milk Chocolate
        event.add('tfc:milk_chocolate', 'firmalife:food/milk_chocolate')

        // Dark Chocolate
        event.add('tfc:dark_chocolate', 'firmalife:food/dark_chocolate')

        // White Chocolate
        event.add('tfc:white_chocolate', 'firmalife:food/white_chocolate')

        // Gouda Wheel
        event.add('tfc:gouda_wheel', 'firmalife:gouda_wheel')

        // Cookie Dough Ice Cream
        event.add('tfc:cookie_dough_ice_cream', 'firmalife:food/cookie_dough_ice_cream')




        // Burrito
        event.add('tfc:burrito', 'firmalife:food/burrito')

        // Red Grapes Jar
        event.add('tfc:red_grapes_jar', 'firmalife:jar/red_grapes')

        // Chocolate Chip Cookie
        event.add('tfc:chocolate_chip_cookie', 'firmalife:food/chocolate_chip_cookie')

        // Vanilla Ice Cream
        event.add('tfc:vanilla_ice_cream', 'firmalife:food/vanilla_ice_cream')

        // Strawberry Ice Cream
        event.add('tfc:strawberry_ice_cream', 'firmalife:food/strawberry_ice_cream')

        // Chocolate Ice Cream
        event.add('tfc:chocolate_ice_cream', 'firmalife:food/chocolate_ice_cream')

        // Banana Split
        event.add('tfc:banana_split', 'firmalife:food/banana_split')

        // Toast with Butter
        event.add('tfc:toast_with_butter', 'firmalife:food/toast_with_butter')

        // Toast
        event.add('tfc:toast', 'firmalife:food/toast')

        // Shosha Wheel
        event.add('tfc:shosha_wheel', 'firmalife:shosha_wheel')

        // Feta Wheel
        event.add('tfc:feta_wheel', 'firmalife:feta_wheel')

        // Cheddar Wheel
        event.add('tfc:cheddar_wheel', 'firmalife:cheddar_wheel')

        // White Grapes
        event.add('tfc:white_grapes', 'firmalife:food/white_grapes')

        // Red Grapes
        event.add('tfc:red_grapes', 'firmalife:food/red_grapes')

        // Toast with Jam
        event.add('tfc:toast_with_jam', 'firmalife:food/toast_with_jam')

        // Fig
        event.add('tfc:fig', 'firmalife:food/fig')

        // Garlic Bread
        event.add('tfc:garlic_bread', 'firmalife:food/garlic_bread')

        // Pineapple
        event.add('tfc:pineapple', 'firmalife:food/pineapple')

        // Pineapple Jar
        event.add('tfc:pineapple_jar', 'firmalife:jar/pineapple')

        // Nachos
        event.add('tfc:nachos', 'firmalife:food/nachos')

        // Rye Bread Sandwich
        event.add('tfc:rye_bread_sandwich', 'tfc:food/rye_bread_sandwich')

        // Rice Bread Sandwich
        event.add('tfc:rice_bread_sandwich', 'tfc:food/rice_bread_sandwich')

        // Wheat Bread Sandwich
        event.add('tfc:wheat_bread_sandwich', 'tfc:food/wheat_bread_sandwich')

        // Wheat Bread Jam Sandwich
        event.add('tfc:wheat_bread_jam_sandwich', 'tfc:food/wheat_bread_jam_sandwich')

        // Barley Bread Jam Sandwich
        event.add('tfc:barley_bread_jam_sandwich', 'tfc:food/barley_bread_jam_sandwich')

        // Maize Bread Jam Sandwich
        event.add('tfc:maize_bread_jam_sandwich', 'tfc:food/maize_bread_jam_sandwich')

        // Oat Bread Jam Sandwich
        event.add('tfc:oat_bread_jam_sandwich', 'tfc:food/oat_bread_jam_sandwich')

        // Rye Bread Jam Sandwich
        event.add('tfc:rye_bread_jam_sandwich', 'tfc:food/rye_bread_jam_sandwich')

        // Rice Bread Jam Sandwich
        event.add('tfc:rice_bread_jam_sandwich', 'tfc:food/rice_bread_jam_sandwich')

        // Barley Bread Sandwich
        event.add('tfc:barley_bread_sandwich', 'tfc:food/barley_bread_sandwich')

        // Maize Bread Sandwich
        event.add('tfc:maize_bread_sandwich', 'tfc:food/maize_bread_sandwich')

        // Oat Bread Sandwich
        event.add('tfc:oat_bread_sandwich', 'tfc:food/oat_bread_sandwich')

        // Bacon Sandwich
        event.add('tfc:bacon_sandwich', 'farmersdelight:bacon_sandwich')

        // Chicken Sandwich
        event.add('tfc:chicken_sandwich', 'farmersdelight:chicken_sandwich')

        // Egg Sandwich
        event.add('tfc:egg_sandwich', 'farmersdelight:egg_sandwich')

        // Grain Soup
        event.add('tfc:food/grain_soup', 'tfc:food/grain_soup')

        // Fruit Soup
        event.add('tfc:food/fruit_soup', 'tfc:food/fruit_soup')

        // Vegetables Soup
        event.add('tfc:food/vegetables_soup', 'tfc:food/vegetables_soup')

        // Protein Soup
        event.add('tfc:food/protein_soup', 'tfc:food/protein_soup')

        // Dairy Soup
        event.add('tfc:food/dairy_soup', 'tfc:food/dairy_soup')

        // Grain Salad
        event.add('tfc:food/grain_salad', 'tfc:food/grain_salad')

        // Fruit Salad
        event.add('tfc:food/fruit_salad', 'tfc:food/fruit_salad')

        // Vegetables Salad
        event.add('tfc:food/vegetables_salad', 'tfc:food/vegetables_salad')

        // Protein Salad
        event.add('tfc:food/protein_salad', 'tfc:food/protein_salad')

        // Peach
        event.add('tfc:food/peach', 'tfc:food/peach')

        // Olive
        event.add('tfc:food/olive', 'tfc:food/olive')

        // Snowberry
        event.add('tfc:food/snowberry', 'tfc:food/snowberry')

        // Pumpkin Pie
        event.add('tfc:food/pumpkin_pie', 'minecraft:pumpkin_pie')

        



        




    //Firmalife

        //Food Shelfs
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/acacia')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/ash')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/aspen')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/birch')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/blackwood')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/chestnut')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/douglas_fir')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/hickory')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/kapok')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/white_cedar')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/willow')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/mangrove')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/maple')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/oak')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/palm')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/pine')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/rosewood')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/sequoia')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/spruce')
        event.add('firmalife:food_shelfs', 'firmalife:wood/food_shelf/sycamore')
        


        //Hangers
        event.add('firmalife:hangers', 'firmalife:wood/hanger/acacia')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/ash')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/aspen')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/birch')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/blackwood')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/chestnut')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/douglas_fir')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/hickory')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/kapok')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/white_cedar')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/willow')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/mangrove')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/maple')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/oak')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/palm')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/pine')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/rosewood')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/sequoia')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/spruce')
        event.add('firmalife:hangers', 'firmalife:wood/hanger/sycamore')



        //Jarbnets
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/acacia')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/ash')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/aspen')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/birch')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/blackwood')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/chestnut')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/douglas_fir')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/hickory')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/kapok')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/white_cedar')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/willow')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/mangrove')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/maple')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/oak')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/palm')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/pine')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/rosewood')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/sequoia')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/spruce')
        event.add('firmalife:jarbnets', 'firmalife:wood/jarbnet/sycamore')



        //Jar Shelf
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/acacia')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/ash')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/aspen')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/birch')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/blackwood')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/chestnut')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/douglas_fir')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/hickory')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/kapok')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/white_cedar')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/willow')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/mangrove')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/maple')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/oak')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/palm')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/pine')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/rosewood')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/sequoia')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/spruce')
        event.add('firmalife:jar_shelfs', 'firmalife:wood/jar_shelf/sycamore')




        //Fossil In Stone
        event.add('kubejs:fossil_in_stone', 'kubejs:chalk_fossil')
        event.add('kubejs:fossil_in_stone', 'kubejs:chert_fossil')
        event.add('kubejs:fossil_in_stone', 'kubejs:chlaystone_fossil')
        event.add('kubejs:fossil_in_stone', 'kubejs:conglomrate_fossil')
        event.add('kubejs:fossil_in_stone', 'kubejs:dolomite_fossil')
        event.add('kubejs:fossil_in_stone', 'kubejs:limestone_fossil')
        event.add('kubejs:fossil_in_stone', 'kubejs:shale_fossil')



        
        })

ServerEvents.tags('block', event => {

        //Minecraft
                
        //Beacon Base Blocks
            event.add('minecraft:beacon_base_blocks', 'minecraft:gold_block')








    //Block Runner
        //Slightly Quick Blocks
        event.add('blockrunner:slightly_quick_blocks', 'tfc:grass_path/silt')
        event.add('blockrunner:slightly_quick_blocks', 'tfc:grass_path/loam')
        event.add('blockrunner:slightly_quick_blocks', 'tfc:grass_path/sandy_loam')
        event.add('blockrunner:slightly_quick_blocks', 'tfc:grass_path/silty_loam')
    


        //Quick Blocks
        event.add('blockrunner:quick_blocks', 'tfmg:concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:white_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:white_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:white_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:blue_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:blue_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:blue_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:light_blue_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:light_blue_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:light_blue_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:red_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:red_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:red_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:green_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:green_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:green_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:lime_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:lime_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:lime_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:pink_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:pink_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:pink_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:magenta_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:magenta_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:magenta_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:yellow_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:yellow_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:yellow_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:gray_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:gray_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:gray_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:light_gray_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:light_gray_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:light_gray_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:brown_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:brown_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:brown_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:cyan_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:cyan_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:cyan_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:orange_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:orange_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:orange_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'tfmg:purple_concrete')
        event.add('blockrunner:quick_blocks', 'tfmg:purple_concrete_slab')
        event.add('blockrunner:quick_blocks', 'tfmg:purple_concrete_stairs')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:concrete')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:concrete_brick')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:concrete_brick_cracked')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:concrete_chiseled')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:concrete_pillar')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:concrete_tile')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:concrete_sheet')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:concrete_quarter')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:slab_concrete')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:concrete_three_quarter')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:stairs_concrete_tile')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:stairs_concrete')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:stairs_concrete_brick')
        event.add('blockrunner:quick_blocks', 'immersiveengineering:slab_concrete_brick')
        


        //Very Quick Blocks
        event.add('blockrunner:very_quick_blocks', 'tfmg:asphalt')



        


    }
)




ServerEvents.tags('fluid', event => {

    //Forge
    event.add('forge:kerosene', 'tfmg:kerosene')


    
    //TFC

        //Usable In Barrel
        event.add('tfc:usable_in_barrel', 'tfmg:sulfuric_acid')


        //Usable In Wooden Bucket
        event.add('tfc:usable_in_wooden_bucket', 'pneumaticcraft:etching_acid')

        
        //Molten Chocolate
        event.add('tfc:molten_chocolate', 'tfcchannelcasting:milk_chocolate')
        event.add('tfc:molten_chocolate', 'tfcchannelcasting:white_chocolate')
        event.add('tfc:molten_chocolate', 'tfcchannelcasting:dark_chocolate')
        event.add('tfc:molten_chocolate', 'firmalife:chocolate')




    //Immersive Engineering

        //Concrete
        event.add('immersiveengineering:concrete', 'immersiveengineering:concrete')




    //TFMG

        //sulfuric Acid
        event.add('tfmg:sulfuric_acid', 'tfmg:sulfuric_acid')


}
)


